package nc.ui.gl.summarylist;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Insets;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;
import nc.ui.gl.summarylist.ButtonKey;
import nc.ui.gl.summarylist.TableUI;
import nc.ui.glpub.IParent;
import nc.ui.glpub.IUiPanel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ButtonObject;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.ToftPanel;
import nc.vo.bd.b54.GlorgbookVO;

public class SummaryListView extends ToftPanel implements IUiPanel {

   private TableUI ivjTableUI = null;
   protected ButtonObject[] m_Buttons = null;
   private BorderLayout ivjSummaryListViewBorderLayout = null;


   public SummaryListView() {
      this.initialize();
   }

   public void addListener(Object objListener, Object objUserdata) {
   }

   private BorderLayout getSummaryListViewBorderLayout() {
      BorderLayout ivjSummaryListViewBorderLayout = null;

      try {
         ivjSummaryListViewBorderLayout = new BorderLayout();
         ivjSummaryListViewBorderLayout.setVgap(0);
         ivjSummaryListViewBorderLayout.setHgap(0);
      } catch (Throwable var3) {
         this.handleException(var3);
      }

      return ivjSummaryListViewBorderLayout;
   }

   private TableUI getTableUI() {
      if(this.ivjTableUI == null) {
         try {
            this.ivjTableUI = new TableUI(this);
            this.ivjTableUI.setName("TableUI");
            this.ivjTableUI.setAutoscrolls(true);
            this.ivjTableUI.setMinimumSize(new Dimension(781, 537));
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjTableUI;
   }

   public String getTitle() {
      return NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000443");
   }

   private void handleException(Throwable exception) {
      exception.printStackTrace(System.out);
   }

   protected void initButtons() {
      this.m_Buttons = new ButtonObject[2];
      this.m_Buttons[0] = new ButtonObject(ButtonKey.bnQRY);
      this.m_Buttons[0].setTag(ButtonKey.bnQRY);
      this.m_Buttons[0].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000176"));
      this.m_Buttons[0].setCode("查询");
      this.m_Buttons[1] = new ButtonObject(ButtonKey.bnPrint);
      this.m_Buttons[1].setTag(ButtonKey.bnPrint);
      this.m_Buttons[1].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000181"));
      this.m_Buttons[1].setCode("打印");
      this.setButtons(this.m_Buttons);
   }

   public void postInit() {
      String orgbookname = ((GlorgbookVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getGlorgbookname();
      this.updateStatusBarAccountMsg(orgbookname);
   }

   private void initialize() {
      try {
         this.setName("SummaryListView");
         this.setLayout(this.getSummaryListViewBorderLayout());
         this.setSize(774, 419);
         this.add(this.getTableUI(), "Center");
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.initButtons();
      String orgbookname = ((GlorgbookVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getGlorgbookname();
      this.updateStatusBarAccountMsg(orgbookname);
   }

   public Object invoke(Object objData, Object objUserData) {
      return null;
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         SummaryListView aSummaryListView = new SummaryListView();
         exception.setContentPane(aSummaryListView);
         exception.setSize(aSummaryListView.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.ToftPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   void newMethod() {
   }

   public void nextClosed() {
   }

   public void onButtonClicked(ButtonObject bo) {
      try {
         for(int e = 0; e < this.m_Buttons.length; ++e) {
            if(bo.equals(this.m_Buttons[e])) {
               this.getTableUI().tackleBnsEvent(this.m_Buttons[e].getTag());
               break;
            }
         }
      } catch (Exception var3) {
         this.showErrorMessage(var3.getMessage());
      }

   }

   public void removeListener(Object objListener, Object objUserdata) {
   }

   public void showMe(IParent parent) {
   }
}
